package alx.p31_streamy.emps;

import java.util.OptionalDouble;

import javax.swing.JOptionPane;

public class F4_SredniaJob {

	public static void main(String[] args) {
		String job = JOptionPane.showInputDialog("Podaj nazwę stanowiska, np. Programmer");
		// spróbuj emps_big po wygenerowaniu pliku u siebie
		OptionalDouble srednia = ObslugaCSV.wczytajStrumien("emps.csv")
			.filter(emp -> emp.getJobTitle().equalsIgnoreCase(job))
			.mapToInt(Employee::getSalary)
			.average();
		
		if(srednia.isPresent()) {
			JOptionPane.showMessageDialog(null, "Średnia programistów: " + srednia.getAsDouble());
		} else {
			JOptionPane.showMessageDialog(null, "Nie ma żadnego pracownika na stanowisku " + job, "Brak danych", JOptionPane.WARNING_MESSAGE);
		}
	}

}
